# Functional tests

This folder holds any functional tests to be performed with a live service in a pipeline or partial environment, not
with mock servers.

Any functional tests written here will be used as a part of the gitlab "functionals" pipeline stage.

---

## 1. Important Files/Folders

### 1.1. run_functionals.sh
This script is used to execute the functional tests from within the pipeline.  It will first ensure that elasticsearch is running,
followed by ensuring that the LCT service is running.  It then executes all defined functional tests.